Bug 1273275 - Report generation returned: Status [Error] Message [undefined method `to_hash' for #<String:0x00000012e911e8>] on download reports
Report generation returned: Status [Error] Message [undefined method `to_hash...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity medium
: GA
: 5.5.0
Assigned To: Tim Wade
Aziza Karol
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-20 02:40 EDT by Aziza Karol
Modified: 2015-12-08 08:36 EST (History)
8 users (show)

See Also:
Fixed In Version: 5.5.0.11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:36:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aziza Karol 2015-10-20 02:40:14 EDT
Created attachment 1084612 [details]
err

Description of problem:


Version-Release number of selected component (if applicable):
5.5.0.6

How reproducible:
100%

Steps to Reproduce:
1.Navigate to cloud Intelligence->reports and generate a report
2.try downloading the report in txt/csv or pdf format
3.

Actual results:
Report generation returned: Status [Error] Message [undefined method `to_hash' for #<String:0x00000012e911e8> displayed in UI. see attached screenshot

Expected results:
should be able to download

Additional info:
evm.log
.6, :unit=>"Month"}], :position=>"Last"}, template_type: "report", where_clause: nil, db_options: nil, generate_cols: nil, generate_rows: nil, col_formats: [], tz: nil, time_profile_id: nil, display_filter: nil, col_options: nil, rpt_options: {}, miq_group_id: nil, user_id: nil>}]
[----] I, [2015-10-20T02:23:24.240764 #17200:e41998]  INFO -- : MIQ(MiqQueue#delivered) Message id: [153990], State: [ok], Delivered in [0.011192282] seconds
[----] E, [2015-10-20T02:23:24.509691 #2919:fb1990] ERROR -- : [NoMethodError]: undefined method `to_hash' for #<String:0x00000012e911e8>  Method:[rescue in _async_generate_result]
[----] E, [2015-10-20T02:23:24.509887 #2919:fb1990] ERROR -- : /var/www/miq/vmdb/app/models/miq_report_result.rb:86:in `report_results='
/var/www/miq/vmdb/app/models/miq_report_result.rb:270:in `_async_generate_result'
/var/www/miq/vmdb/app/models/miq_queue.rb:345:in `block in deliver'
/opt/rh/rh-ruby22/root/usr/share/ruby/timeout.rb:89:in `block in timeout'
/opt/rh/rh-ruby22/root/usr/share/ruby/timeout.rb:34:in `block in catch'
/opt/rh/rh-ruby22/root/usr/share/ruby/timeout.rb:34:in `catch'
/opt/rh/rh-ruby22/root/usr/share/ruby/timeout.rb:34:in `catch'
/opt/rh/rh-ruby22/root/usr/share/ruby/timeout.rb:104:in `timeout'
/var/www/miq/vmdb/app/models/miq_queue.rb:341:in `deliver'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:106:in `deliver_queue_message'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:134:in `deliver_message'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:151:in `block in do_work'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:145:in `loop'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:145:in `do_work'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:323:in `block in do_work_loop'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:320:in `loop'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:320:in `do_work_loop'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:142:in `run'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:123:in `start'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:24:in `start_worker'
/var/www/miq/vmdb/lib/workers/bin/worker.rb:2:in `<top (required)>'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/runner.rb:60:in `load'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/runner.rb:60:in `<top (required)>'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/commands_tasks.rb:123:in `require'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/commands_tasks.rb:123:in `require_command!'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/commands_tasks.rb:90:in `runner'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/commands_tasks.rb:39:in `run_command!'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands.rb:17:in `<top (required)>'
/var/www/miq/vmdb/bin/rails:4:in `require'
/var/www/miq/vmdb/bin/rails:4:in `<main>'
[----] E, [2015-10-20T02:23:24.571063 #2919:fb1990] ERROR -- : MIQ(MiqQueue#deliver) Message id: [153992], Error: [undefined method `to_hash' for #<String:0x00000012e911e8>]
[----] E, [2015-10-20T02:23:24.571305 #2919:fb1990] ERROR -- : [NoMethodError]: undefined method `to_hash' for #<String:0x00000012e911e8>  Method:[rescue in deliver]
[----] E, [2015-10-20T02:23:24.571397 #2919:fb1990] ERROR -- : /var/www/miq/vmdb/app/models/miq_report_result.rb:86:in `report_results='
/var/www/miq/vmdb/app/models/miq_report_result.rb:270:in `_async_generate_result'
/var/www/miq/vmdb/app/models/miq_queue.rb:345:in `block in deliver'
/opt/rh/rh-ruby22/root/usr/share/ruby/timeout.rb:89:in `block in timeout'
/opt/rh/rh-ruby22/root/usr/share/ruby/timeout.rb:34:in `block in catch'
/opt/rh/rh-ruby22/root/usr/share/ruby/timeout.rb:34:in `catch'
/opt/rh/rh-ruby22/root/usr/share/ruby/timeout.rb:34:in `catch'
/opt/rh/rh-ruby22/root/usr/share/ruby/timeout.rb:104:in `timeout'
/var/www/miq/vmdb/app/models/miq_queue.rb:341:in `deliver'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:106:in `deliver_queue_message'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:134:in `deliver_message'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:151:in `block in do_work'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:145:in `loop'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:145:in `do_work'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:323:in `block in do_work_loop'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:320:in `loop'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:320:in `do_work_loop'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:142:in `run'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:123:in `start'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:24:in `start_worker'
/var/www/miq/vmdb/lib/workers/bin/worker.rb:2:in `<top (required)>'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/runner.rb:60:in `load'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/runner.rb:60:in `<top (required)>'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/commands_tasks.rb:123:in `require'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/commands_tasks.rb:123:in `require_command!'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/commands_tasks.rb:90:in `runner'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/commands_tasks.rb:39:in `run_command!'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands.rb:17:in `<top (required)>'
/var/www/miq/vmdb/bin/rails:4:in `require'
/var/www/miq/vmdb/bin/rails:4:in `<main>'
[----] I, [2015-10-20T02:23:24.571723 #2919:fb1990]  INFO -- : MIQ(MiqQueue#delivered) Message id: [153992], State: [error], Delivered in [0.591715579] seconds
[----] E, [2015-10-20T02:23:25.332072 #2937:afb98c] ERROR -- : MIQ(report_controller-wait_for_task): Report generation returned: Status [Error] Message [undefined method `to_hash' for #<String:0x00000012e911e8>]
Comment 3 Tim Wade 2015-11-12 18:12:15 EST
PR: https://github.com/ManageIQ/manageiq/pull/5420
Comment 5 Aziza Karol 2015-11-19 03:57:39 EST
Able to download reports.

Verified:
5.5.0.11-rc1.20151117182049_653c0d4
Comment 7 errata-xmlrpc 2015-12-08 08:36:55 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.